#include <stdio.h>
#include <stdlib.h>

int main() {
    int cost, num, *chests, i;

    /* read the input */
    scanf("%d\n%d", &cost, &num);
    chests = malloc(num * sizeof(int)); 
    for (i = 0; i < num; i++) {
        scanf("%d", &chests[i]);
    }


    /* calculate expected value */
    double expected = 0.0;
    for (i = 0; i < num; i++) {
        expected += (1.0 / num) * chests[i];
    }

    /* output */
    printf("The expected winnings are %d.\n",  (int) expected);
    if (expected > cost) {
        printf("The game is worth playing!\n");
    } else {
        printf("The game is NOT worth playing!\n");
    }

    return 0;
}

