#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>

#define SIZE 1000

/* find numbers in the given string */
int find_num(char* str, unsigned int* i) {
    char num[10];
    strcpy(num, "");

    int j = 0;
    while(isdigit(str[*i])) {
        num[j] = str[*i];
        j++;
        (*i)++;
    }

    num[j] = '\0';
    return atoi(num) - 1;
}


void decode(char* input, unsigned int  i, char* output) {
    /* base case */
    while (i < strlen(input)) {
        /* peel off the first char, and find the number */
        char c = input[i++];
        do {
            int n = find_num(input, &i);
            output[n] = c;
            if (input[i] == ';') i++;
        } while(isdigit(input[i]));

    }
}

int main( ) {
    /* read the input */
    char line[SIZE];
    fgets(line, SIZE, stdin);
    line[strlen(line) - 1] = '\0';

    char mesg[SIZE];
    int i;
    for (i = 0; i < SIZE; i++) {
        mesg[i] = '\0';
    }

    decode(line, 0, mesg);
    printf("%s\n", mesg);

    return 0;
}




